BasicPluralAttributeElementSourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class BasicPluralAttributeElementSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.BasicPluralAttributeElementSourceImpl

All Implemented Interfaces:
  BasicPluralAttributeElementSource, PluralAttributeElementSource

    public class BasicPluralAttributeElementSourceImpl

extends Object
implements BasicPluralAttributeElementSource

Constructor Summary
`BasicPluralAttributeElementSourceImpl(JaxbElementElement elementElement, LocalBindingContext bindingContext)`

Method Summary
`ExplicitHibernateTypeSource` | `getExplicitHibernateTypeSource()`
`PluralAttributeElementNature` | `getNature()`
`List<RelationalValueSource>` | `getValueSources()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicPluralAttributeElementSourceImpl

    public BasicPluralAttributeElementSourceImpl(JaxbElementElement elementElement,
                                                 LocalBindingContext bindingContext)

Method Detail

### getNature

    public PluralAttributeElementNature getNature()

  Specified by:
    `getNature` in interface `PluralAttributeElementSource`

### getValueSources

    public List<RelationalValueSource> getValueSources()

  Specified by:
    `getValueSources` in interface `BasicPluralAttributeElementSource`

### getExplicitHibernateTypeSource

    public ExplicitHibernateTypeSource getExplicitHibernateTypeSource()

  Specified by:
    `getExplicitHibernateTypeSource` in interface `BasicPluralAttributeElementSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.